# class KMimeSourceFactory | An extension to QMimeSourceFactory that uses KIconLoader to find images. More...
Definition | `#include <kmimesourcefactory.h>`
Inherits | QMimeSourceFactory (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KMimeSourceFactory (KIconLoader* loader = KGlobal::iconLoader())
- virtual ~KMimeSourceFactory ()
- virtual QString makeAbsolute (const QString& abs_or_rel_name, const QString& context) const

## Detailed Description

An extension to QMimeSourceFactory that uses KIconLoader to find images.

Normally you don't have to instantiate this class at all, KApplication does that for you automagically and sets QMimeSourceFactory::setDefaultFactory.

KMimeSourceFactory (KIconLoader* loader = KGlobal::iconLoader()) | ### KMimeSourceFactory

Constructor.

Parameters:

loader | is the iconloader used to find images.

~KMimeSourceFactory () | ### ~KMimeSourceFactory

[virtual]

Destructor.

QString makeAbsolute (const QString& abs_or_rel_name, const QString& context) | ### makeAbsolute

[const virtual]

This function is maps an absolute or relative name for a resource to the absolute one.

To load an icon, prepend the `category` name before the `icon` name, in the style of <category>|<icon>.

Example:

     "<img src=\"user|ksysv_start\"/>", "<img src="\desktop|trash\">", ...

Parameters:

abs_or_rel_name | is the absolute or relative pathname.
context | is the path of the context object for the queried resource. Almost always empty.

Reimplemented from QMimeSourceFactory.

- Version: $Id: kmimesourcefactory.h,v 1.5 2000/08/15 05:26:01 waba Exp $
- Author: Peter Putzer <putzer@kde.org>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:13 2001, using kdoc 2.0a53.